using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace petlja2
{
	class Program
	{
		static void Main(string[] args)
		{
			int n = int.Parse(Console.ReadLine()), max = -1, indeks = 0, l = 0;
			string broj = Console.ReadLine();
			bool p = true;
			List<char> knjige = broj.ToList();
			if (knjige[0] != 0)
			{				
				for (int i = 1; i < knjige.Count; i++)
				{
					knjige.RemoveAt(i);
				}
				for (int i = 0; i < knjige.Count - 1 && p; i++)
				{
					if (knjige[i] < knjige[i + 1])
					{
						p = false;
					}
					else
					{
						l = i;
					}
				}
				if (p)
				{
					if (knjige.Count > 1)
					{
						char t = knjige[knjige.Count - 1];
						knjige[knjige.Count - 1] = knjige[knjige.Count - 2];
						knjige[knjige.Count - 2] = t;
					}
				}
				else
				{
					p = true;
					for (int i = knjige.Count - 1; i > l && p; i--)
					{
						if (knjige[i] > max)
						{
							max = knjige[i];
							indeks = i;
						}
						if (max == 9)
						{
							p = false;
						}
					}
					p = true;
					for (int i = 0; i < knjige.Count && p; i++)
					{
						if (knjige[i] < max)
						{
							char t = knjige[i];
							knjige[i] = knjige[indeks];
							knjige[indeks] = t;
							p = false;
						}
					}
				}
				for (int i = 0; i < knjige.Count; i++)
				{
					Console.Write(knjige[i] + " ");
				}
				Console.WriteLine();
			}
		}
	}
}